For the complete documentation index, see llms.txt. This page is also available as Markdown.

Get an ACL alias

get
Authorizations
defguard_sessionstringRequired
Path parameters
idinteger · int64Required

ID of the ACL alias.

Responses
200

ACL alias details.

application/json

An ACL alias component. All relations represented as arrays of IDs.

addressesstringRequired
idinteger · int64Optional
kindstring · enumRequired

Type of an ACL alias:

  • destination: the alias defines a complete destination that an ACL rule applies to.
  • component: the alias defines parts of a destination and is combined with the parts defined in the ACL rule itself.
Possible values:
namestringRequired
parent_idinteger · int64 · nullableOptional
portsstringRequired
protocolsinteger · int32[]Required
rulesinteger · int64[]Required
statestring · enumRequired

ACL alias can be in one of the following states:

  • Applied: the alias can be used in ACL rules
  • Modified: the alias has been modified and the changes have not yet been applied

Unlike ACL rules themselves aliases do not require a New state, since they do not cause any changes to locations until they are used by a rule. Deleted state is also omitted since we don't allow deleting if an alias is used by any rules.

Possible values:
get/api/v1/acl/alias/{id}
GET /api/v1/acl/alias/{id} HTTP/1.1
Accept: */*
{
  "addresses": "text",
  "id": 1,
  "kind": "Destination",
  "name": "text",
  "parent_id": null,
  "ports": "text",
  "protocols": [
    1
  ],
  "rules": [
    1
  ],
  "state": "Applied"
}

Last updated

Was this helpful?